Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://app.dograh.com/api/v1/campaign/{campaign_id}
import requestsurl = "https://app.dograh.com/api/v1/campaign/{campaign_id}"response = requests.get(url)print(response.text)
const options = {method: 'GET'};fetch('https://app.dograh.com/api/v1/campaign/{campaign_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://app.dograh.com/api/v1/campaign/{campaign_id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET",]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
package mainimport ( "fmt" "net/http" "io")func main() { url := "https://app.dograh.com/api/v1/campaign/{campaign_id}" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body))}
HttpResponse<String> response = Unirest.get("https://app.dograh.com/api/v1/campaign/{campaign_id}") .asString();
require 'uri'require 'net/http'url = URI("https://app.dograh.com/api/v1/campaign/{campaign_id}")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)response = http.request(request)puts response.read_body
{ "id": 123, "name": "<string>", "workflow_id": 123, "workflow_name": "<string>", "state": "<string>", "source_type": "<string>", "source_id": "<string>", "total_rows": 123, "processed_rows": 123, "failed_rows": 123, "created_at": "2023-11-07T05:31:56Z", "started_at": "2023-11-07T05:31:56Z", "completed_at": "2023-11-07T05:31:56Z", "retry_config": { "enabled": true, "max_retries": 123, "retry_delay_seconds": 123, "retry_on_busy": true, "retry_on_no_answer": true, "retry_on_voicemail": true }, "max_concurrency": 123, "schedule_config": { "enabled": true, "timezone": "<string>", "slots": [ { "day_of_week": 123, "start_time": "<string>", "end_time": "<string>" } ] }, "circuit_breaker": { "enabled": false, "failure_threshold": 0.5, "window_seconds": 120, "min_calls_in_window": 5 }, "executed_count": 0, "total_queued_count": 0, "parent_campaign_id": 123, "redialed_campaign_id": 123, "telephony_configuration_id": 123, "telephony_configuration_name": "<string>", "logs": [ { "ts": "<string>", "level": "<string>", "event": "<string>", "message": "<string>", "details": {} } ] }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>", "input": "<unknown>", "ctx": {} } ]}
Retrieve a single campaign by ID
Successful Response
Show child attributes